VLC Media Player < 1.1.10 XSPF Playlist Parser Integer Overflow (deprecated)

High Nessus Network Monitor Plugin ID 5946

Synopsis

The remote host contains an application that allows arbitrary code execution.

Description

The remote host contains VLC player, a multi-media application.

Versions of VLC media player earlier than 1.1.10 are potentially affected by an integer overflow in the XSPF playlist parser. Exploiting this vulnerability can lead to application crashes and possibly code execution.

Solution

Upgrade to VLC Media Player version 1.1.10 or later.

See Also

http://www.videolan.org/vlc/releases/1.1.10.html

http://www.videolan.org/security/sa1104.html

Plugin Details

Severity: High

ID: 5946

File Name: 5946.prm

Family: Web Clients

Published: 2011/06/09

Modified: 2016/01/19

Dependencies: 1735, 8314

Nessus ID: 55024

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSSv3

Base Score: 8.1

Temporal Score: 7.3

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:P/RL:O/RC:C

Vulnerability Information

Patch Publication Date: 2011/06/06

Vulnerability Publication Date: 2011/06/07

Reference Information

CVE: CVE-2011-2194

BID: 48171